@font-face {
    font-family: 'iconfont';
    src: url('/fonts/iconfont.eot');
    src: url('/fonts/iconfont.eot?#iefix') format('embedded-opentype'),
    url('/fonts/iconfont.woff2') format('woff2'),
    url('/fonts/iconfont.woff') format('woff'),
    url('/fonts/iconfont.ttf') format('truetype'),
    url('/fonts/iconfont.svg#iconfont') format('svg');
    }



    @font-face {
        font-family: "iconfont"; /* Project id 3423695 */
        /* Color fonts */
        src: 
             url('/fonts') format('woff2'),
             url('/fonts') format('woff'),
      }
      
      .iconfont {
        font-family: "iconfont" !important;
        font-size: 16px;
        font-style: normal;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
      }
      
      .icon-tushuguan:before {
        content: "\e67c";
      }
      
      .icon-biaoqian:before {
        content: "\e6bb";
      }
      
      .icon-shijianzhou:before {
        content: "\e608";
      }
      
      .icon-a-dayinjidayin:before {
        content: "\e86b";
      }
      
      .icon-a-zhuozikezhuo:before {
        content: "\e86c";
      }
      
      .icon-a-fenxitongjitiaocha:before {
        content: "\e86e";
      }
      
      .icon-a-tongjiangbiaozhangbiaoyangjiangbeishengli:before {
        content: "\e86f";
      }
      
      .icon-a-baozhuanghechanpinhuowuanzhuangbao:before {
        content: "\e870";
      }
      
      .icon-a-huangsedewuxingshoucangzuiai:before {
        content: "\e871";
      }
      
      .icon-a-sousuoyulanchakanfangdajing:before {
        content: "\e872";
      }
      
      .icon-a-xihuanxiaizuiaiaiqing:before {
        content: "\e874";
      }
      
      .icon-a-moshumaozimoshu:before {
        content: "\e875";
      }
      
      .icon-a-heibanxuexijiaoxuekejian:before {
        content: "\e876";
      }
      
      .icon-a-jinggaoweixianzhongyaorenwutixing:before {
        content: "\e877";
      }
      
      .icon-a-jiaojuandianying:before {
        content: "\e878";
      }
      
      .icon-a-zhengshuwenpingxueli:before {
        content: "\e879";
      }
      
      .icon-a-huabanhuahua:before {
        content: "\e87b";
      }
      
      .icon-youxishoubing:before {
        content: "\e87c";
      }
      
      .icon-a-wangyuanjingkuitantansuo:before {
        content: "\e87d";
      }
      
      .icon-a-tianqiyuntaiyang:before {
        content: "\e87f";
      }
      
      .icon-shuibei:before {
        content: "\e881";
      }
      
      .icon-a-diandengpaozhuyichuangxinchuangzao:before {
        content: "\e882";
      }
      
      .icon-kapian:before {
        content: "\e883";
      }
      
      .icon-a-56:before {
        content: "\e7d9";
      }
      
      .icon-a-xinfengpixel_huaban1:before {
        content: "\e609";
      }
      
      .icon-jiezhi:before {
        content: "\e6ce";
      }
      
      .icon-caomeitiantianquan:before {
        content: "\e6d9";
      }
      
      .icon-peizhi:before {
        content: "\e764";
      }
      
      .icon-tuijian:before {
        content: "\e765";
      }
      
      .icon-zhuanjia:before {
        content: "\e766";
      }
      
      .icon-renwushu:before {
        content: "\e767";
      }
      
      .icon-baogao:before {
        content: "\100c8";
      }
      
      .icon-rili:before {
        content: "\100c9";
      }
      
      .icon-shubao:before {
        content: "\100ca";
      }
      
      .icon-shuji:before {
        content: "\100cb";
      }
      
      .icon-licaitouzi:before {
        content: "\100cc";
      }
      
      .icon-youxi:before {
        content: "\100cd";
      }
      
      .icon-xunzhang:before {
        content: "\100ce";
      }
      
      .icon-dingwei:before {
        content: "\100cf";
      }
      
      .icon-anquan:before {
        content: "\e768";
      }
      

      

      
      svg.icon {
        /* 这里定义svg.icon，避免和Butterfly自带的note标签冲突 */
         width: 1em; height: 1em;
         /* width和height定义图标的默认宽度和高度*/
         vertical-align: -0.15em;
         fill: currentColor;
         overflow: hidden;
      }


      @font-face{
        font-family:'Candyhome' ;  /* 字体名自定义即可 */
        src:url('/fonts/Candy.ttf'); /* 字体文件路径 */
        font-display : swap;
      }
      
/* 首页文章卡片 */
#recent-posts > .recent-post-item{
  background:rgba(255, 255, 255, 0.9);
}
/* 首页侧栏卡片 */
.card-widget{
background:rgba(255, 255, 255, 0.9)!important;
}
/* 文章页面正文背景 */
div#post{
background: rgba(255, 255, 255, 0.9);
}
/* 分页页面 */
div#page{
background: rgba(255, 255, 255, 0.9);
}
/* 归档页面 */
div#archive{
background: rgba(255, 255, 255, 0.9);
}
/* 标签页面 */
div#tag{
background: rgba(255, 255, 255, 0.9);
}
/* 分类页面 */
div#category{
background: rgba(255, 255, 255, 0.9);
}


/* 页脚透明 */
#footer{
  background: transparent!important;
}
/* 页脚黑色透明玻璃效果移除 */
#footer::before{
    background: transparent!important;
  }
/* 头图透明 */
#page-header{
  background: transparent!important;
}
/* 头图遮罩层透明 */
#page-header::before{
  background: transparent!important;
  }
/*top-img黑色透明玻璃效果移除，不建议加，除非你执着于完全一图流或者背景图对比色明显 */
 #page-header.post-bg:before {
  background-color: rgba(19, 22, 20, 0.425)!important;
} 
/*夜间模式伪类遮罩层透明*/
[data-theme="dark"]
  #footer::before{
      background: transparent!important;
    }
[data-theme="dark"]
  #page-header::before{
    background: transparent!important;
    }





  [data-theme="dark"]
  #recent-posts > .recent-post-item{
    background:rgba(0, 0, 0, 0.5);
  }
  /* 首页侧栏卡片 */
  [data-theme="dark"]
  #aside-content .card-widget{
    background: rgba(0, 0, 0, 0.5)!important;
  }
  /* 文章页面正文背景 */
  [data-theme="dark"]
  div#post{
    background: rgba(0, 0, 0, 0.5)!important;
  }
  /* 分页页面 */
  [data-theme="dark"]
  div#page{
    background: rgba(0, 0, 0, 0.5)!important;
  }
  /* 归档页面 */
  [data-theme="dark"]
  div#archive{
    background: rgba(0, 0, 0, 0.5)!important;
  }
  /* 标签页面 */
  [data-theme="dark"]
  div#tag{
    background: rgba(0, 0, 0, 0.5)!important;
  }
  /* 分类页面 */
  [data-theme="dark"]
  div#category{
    background: rgba(0, 0, 0, 0.5)!important;
  }



/* 全局默认鼠标指针 */
body,
html{
  cursor: url('/mousecur/arrow.cur'),auto !important;
}
/* 悬停图片时的鼠标指针 */
img{
  cursor: url('/mousecur/btn.cur'),auto !important;
}
/* 选择链接标签时的鼠标指针 */
a:hover{
    cursor: url('/mousecur/link.cur'),auto;
}
/* 选中输入框时的鼠标指针 */
input:hover{
    cursor: url('/mousecur/input.cur'),auto;
}
/* 悬停按钮时的鼠标指针 */
button:hover{
    cursor: url('/mousecur/btn.cur'),auto;
}
/* 悬停列表标签时的鼠标指针 */
i:hover{
    cursor: url('/mousecur/link.cur'),auto;
}
/* 悬停页脚链接标签（例如页脚徽标）时的鼠标指针 */
#footer-wrap a:hover{
      cursor: url('/mousecur/hf.cur'),auto;
}
/* 悬停页码时的鼠标指针 */
#pagination .page-number:hover{
      cursor: url('/mousecur/i.cur'),auto;
}
/* 悬停菜单栏时的鼠标指针 */
#nav .site-page:hover{
      cursor: url('/mousecur/hf.cur'),auto;
}






/* 文章页H1-H6图标样式效果 */
h1::before, h2::before, h3::before, h4::before, h5::before, h6::before {
  -webkit-animation: ccc 1.2s linear infinite ;
  animation: ccc 1.2s linear infinite ;
}
@-webkit-keyframes ccc {
  0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg)
  }
  to {
      -webkit-transform: rotate(-1turn);
      transform: rotate(-1turn)
  }
}
@keyframes ccc {
  0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg)
  }
  to {
      -webkit-transform: rotate(-1turn);
      transform: rotate(-1turn)
  }
}


#content-inner.layout h1::before {
  color: #ef50a8 ;
  margin-left: -2.8rem;
  font-size: 2.2rem;
  margin-top: -0.8rem;
}
#content-inner.layout h2::before {
  color: #fb7061 ;
  margin-left: -2.3rem;
  font-size: 1.85rem;
  margin-top: -0.65rem;
}
#content-inner.layout h3::before {
  color: #ffbf00 ;
  margin-left: -2.0rem;
  font-size: 1.5rem;
  margin-top: -0.38rem;
}
#content-inner.layout h4::before {
  color: #a9e000 ;
  margin-left: -1.7rem;
  font-size: 1.3rem;
  margin-top: -0.35rem;
}
#content-inner.layout h5::before {
  color: #57c850 ;
  margin-left: -1.3rem;
  font-size: 1.0rem;
  margin-top: -0.2rem;
}
#content-inner.layout h6::before {
  color: #5ec1e0 ;
  margin-left: -1.1rem;
  font-size: 0.9rem;
  margin-top: -0.08rem;
}

#content-inner.layout h1:hover, #content-inner.layout h2:hover, #content-inner.layout h3:hover, #content-inner.layout h4:hover, #content-inner.layout h5:hover, #content-inner.layout h6:hover {
  color: #49b1f5 ;
}
#content-inner.layout h1:hover::before, #content-inner.layout h2:hover::before, #content-inner.layout h3:hover::before, #content-inner.layout h4:hover::before, #content-inner.layout h5:hover::before, #content-inner.layout h6:hover::before {
  color: #49b1f5 ;
  -webkit-animation: ccc 3.2s linear infinite ;
  animation: ccc 3.2s linear infinite ;
}

/* 页面设置icon转动速度调整 */
#rightside_config i.fas.fa-cog.fa-spin {
  animation: fa-spin 3s linear infinite ;
}